from django.conf.urls.defaults import patterns, include, url
from django.views.generic import TemplateView
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'panic_cms.views.home', name='home'),
    # url(r'^panic_cms/', include('panic_cms.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),

    # CMS actions
    (r'^\+rev/(?P<rev>\d+)', 'panic.views.get_revision'),
    (r'^\+add', 'panic.views.add_page'),
    (r'^\+redirect', 'panic.views.add_redirect'),
    (r'^\+edit/(?P<path>.*)', 'panic.views.edit_page'),
    (r'^\+switch/(?P<view_id>\d+)/(?P<path>.*)', 'panic.views.switch_view'),
    (r'^\+branch/(?P<path>.*)', 'panic.views.branch_view'),
    (r'^\+publish', 'panic.views.publish_view'),

    # Content delivery
    (r'^(?P<path>.*)', 'panic.views.get_page'),
)
urlpatterns += staticfiles_urlpatterns()
